--[[----------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2014 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--

local WFRxDocStore = require 'WFRxDocStore'
local WFRxIndexStore = require 'WFRxIndexStore'
local WFRxRunUntilDone = require 'WFRxRunUntilDone'

--==============================================================================

local LrmTestUtils = {}

--------------------------------------------------------------------------------

function LrmTestUtils.setupTestDatabase()

	local docStore = WFRxDocStore( ':memory:' )
	local indexStore = WFRxIndexStore( docStore, 'LrmTestIndexDefinitions.lua' )
	
	return docStore, indexStore
	
end

--------------------------------------------------------------------------------

function LrmTestUtils.insertBaseMockData( docStore )

	docStore:bulkApplyOverlay( {
		{
			type = 'lrm_test_doctype',
			_id = 'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa',
			name = 'test 01',
			url = 'http://lightroom.adobe.com/test01',
		},
		{
			type = 'lrm_test_doctype',
			_id = 'bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb',
			name = 'test 02',
			url = 'http://lightroom.adobe.com/test02',
		}
	} )
	:call( WFRxRunUntilDone )
		
end

--------------------------------------------------------------------------------

return LrmTestUtils
